Update the conversation details based on the conversation ID
http
PUT https://services.leadconnectorhq.com/conversations/{conversationId}Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
conversationId | string | Yes | tDtDnQdgm2LXpyiqYvZ6 | Conversation ID as string |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | tDtDnQdgm2LXpyiqYvZ6 | Account ID as string |
unreadCount | number | No | 1 | Count of unread messages in the conversation |
starred | boolean | No | True | Starred status of the conversation. |
feedback | object | No |
Responses
200 - Successful response
success(boolean, required): Boolean value as the API response. Example:Trueconversation(object, required): Conversation data of the provided conversation ID.
json
{
"success": true
}400 - Bad Request
json
{}Example
curl -X PUT 'https://services.leadconnectorhq.com/conversations/YOUR_conversationId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"unreadCount": 1,
"starred": true,
"feedback": {}
}'const response = await fetch('https://services.leadconnectorhq.com/conversations/YOUR_conversationId', {
method: 'PUT',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"locationId": "tDtDnQdgm2LXpyiqYvZ6", "unreadCount": 1, "starred": true, "feedback": {}}),
});
const data = await response.json();import os, requests
response = requests.request(
'PUT',
'https://services.leadconnectorhq.com/conversations/YOUR_conversationId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"locationId": "tDtDnQdgm2LXpyiqYvZ6", "unreadCount": 1, "starred": true, "feedback": {}},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/conversations/YOUR_conversationId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PUT',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'locationId': 'tDtDnQdgm2LXpyiqYvZ6', 'unreadCount': 1, 'starred': true, 'feedback': {}}),
]);
$data = json_decode(curl_exec($ch), true);